controlnode

PUT /controlnode/qos-config/node/{node_ip}

Declare and apply a node’s QoS on one device

Records the declared QoS in NetBox (the system of record) after the node has validated and applied it, and asks the node to persist it for boot-time restore. Synchronous: 200 means applied on the node and recorded in NetBox.

Parameters:
  • node_ip (string) – Node OS IP

Request JSON Object:
  • ceil_mbit (integer)

  • device_name (string) – (required)

  • diffserv_mode (string)

  • flow_mode (string)

  • profile (string) – (required)

  • rate_mbit (integer)

  • rtt_ms (integer)

Status Codes: